#include "mergelib.h"

#include <stdlib.h>

void volatile usage (void)
{	
	fprintf (stderr, "Usage: mergelib_demo pid1 addr1 pid2 addr2\n");
	exit (1); 
}

int main(int argc, char ** argv)
{
  /* 	pid_t pid1, pid2; */
	long addr1, addr2;  

	mergemem_always_exit_on_error(YES);
	mergemem_echolog = YES; 
	mergemem_logtofile ("/var/log/mergelib_demo", MERGEMEM_LOG_INFO);
	if (argc!=5) usage(); 

	mergemem_init(); 

	sscanf (argv[2], "%lx", &addr1); 
	sscanf (argv[4], "%lx", &addr2); 

	mergemem_merge_probe (atoi(argv[1]), addr1, atoi(argv[3]), addr2);
	mergemem_print_stats(0);
	mergemem_print_stats(1);
	return 0; 
}

	
	
